# Default script run when a null object is created.
# $arg1 is the name of the object to create

\set noalias = 1
if ( "$arg1" != "" ) then
    opparm $arg1 dcolor( 0 0.75 0 )
    opcf $arg1

    # Node control1
    opadd -n control control1

    chblockbegin
    chadd control1 colorr
    chkey -t $TSTART -v 0 -m 0 -A 0 -F \
	'if (ch("../use_dcolor"), ch("../dcolorr"), 0)' control1/colorr
    chadd control1 colorg
    chkey -t $TSTART -v 0 -m 0 -A 0 -F \
	'if (ch("../use_dcolor"), ch("../dcolorg"), 0)' control1/colorg
    chadd control1 colorb
    chkey -t $TSTART -v 0 -m 0 -A 0 -F \
	'if (ch("../use_dcolor"), ch("../dcolorb"), 0)' control1/colorb
    chadd control1 scale
    chkey -t $TSTART -v 1 -m 0 -A 0 -F 'ch("../geoscale")' control1/scale
    chblockend

    opparm control1 color ( colorr colorg colorb ) 
    opparm control1 scale ( scale ) 
    opparm control1 displayicon ( '!!ch("../displayicon")!!' ) 
    opparm control1 controltype ( '!!ch("../controltype")!!' ) 
    opparm control1 orientation ( '!!ch("../orientation")!!' ) 
    opparm control1 shadedmode ( '!!ch("../shadedmode")!!' ) 

    chlock control1 -*
    chautoscope control1 -*
    opcolor -c 0.7 0.7 0.7 control1

    opadd add point1

    oplocate -x 0.5 -y 1.0 control1
    oplocate -x 2.5 -y 1.0 point1

    opparm point1 usept0 ( on )

    opset -d on -r off -h off -f off -y off -t off -l off -s off \
	  -u off -c off -C on -p off -e on -b off control1
    opset -r on point1

    opset -y on .

    opcf ..

endif
